Name: H5Pget_sym_k
Signature:
  herr_t `H5Pget_sym_k`(hid_t `plist`, unsigned * `ik`, unsigned * `lk` )
Purpose:
  Retrieves the size of the symbol table B-tree 1/2 rank and the symbol table leaf node 1/2 size.
Description:
  `H5Pget_sym_k` retrieves the size of the symbol table B-tree 1/2 rank and the symbol table leaf node 1/2 size. This function is only valid for file creation property lists. If a parameter valued is set to NULL, that parameter is not retrieved. See the description for H5Pset_sym_k for more information.
Parameters:

hid_t `plist` | IN: Property list to query.
unsigned * `ik` | OUT: Pointer to location to return the symbol table's B-tree 1/2 rank.
unsigned * `size` | OUT: Pointer to location to return the symbol table's leaf node 1/2 size.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_sym_k_f

      SUBROUTINE h5pget_sym_k_f(prp_id, ik, lk, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(OUT) :: ik            ! Symbol table tree rank
        INTEGER, INTENT(OUT) :: lk            ! Symbol table node size
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_sym_k_f

History:

Release | C
1.6.4 | `ik` parameter type changed to unsigned
1.6.0 | The `ik` parameter has changed from type int to unsigned